CFSocket Reference

## Detailed Description

## Data Structures

struct | CFSocketContext
struct | CFSocketSignature

## Typedefs

typedef struct __CFSocket * | CFSocketRef
typedef int | CFSocketNativeHandle
typedef void(* | CFSocketCallBack) (CFSocketRef s, CFSocketCallBackType callbackType, CFDataRef address, const void *data, void *info)

## Enumerations

enum | CFSocketCallBackType { kCFSocketNoCallBack = 0 , kCFSocketReadCallBack = 1 , kCFSocketAcceptCallBack = 2 , kCFSocketDataCallBack = 3 , kCFSocketConnectCallBack = 4 , kCFSocketWriteCallBack = 8 }
enum | { kCFSocketAutomaticallyReenableReadCallBack = 1 , kCFSocketAutomaticallyReenableAcceptCallBack = 2 , kCFSocketAutomaticallyReenableDataCallBack = 3 , kCFSocketAutomaticallyReenableWriteCallBack = 8 , kCFSocketLeaveErrors = 64 , kCFSocketCloseOnInvalidate = 128 }
enum | CFSocketError { kCFSocketSuccess = 0 , kCFSocketError = -1 , kCFSocketTimeout = -2 }

## Data Structure Documentation

## CFSocketContext

struct CFSocketContext

Data Fields
CFIndex | version |
void * | info |
CFAllocatorRetainCallBack | retain |
CFAllocatorReleaseCallBack | release |
CFAllocatorCopyDescriptionCallBack | copyDescription |

## CFSocketSignature

struct CFSocketSignature

Data Fields
SInt32 | protocolFamily |
SInt32 | socketType |
SInt32 | protocol |
CFDataRef | address |